com.streambase.liveview.client

## Class LiveViewServerCapability

- java.lang.Object
- - com.streambase.liveview.client.LiveViewServerCapability

- Direct Known Subclasses:
    LiveViewServerCapability.AggregateMarkGeneration, LiveViewServerCapability.AlertRules, LiveViewServerCapability.AlertWithGUID, LiveViewServerCapability.AlertWithQueryString, LiveViewServerCapability.AlertWithQuiescence, LiveViewServerCapability.BlockingDeleteQuery, LiveViewServerCapability.ClientVersionAware, LiveViewServerCapability.DataOnRemoveMessage, LiveViewServerCapability.ExternalLiveViewHosting, LiveViewServerCapability.FullSchemas, LiveViewServerCapability.PluggableTableProviders, LiveViewServerCapability.PublishSupportsByteOrder, LiveViewServerCapability.PublishV2, LiveViewServerCapability.ReferenceTablesDirectly, LiveViewServerCapability.SavedWorkspaces, LiveViewServerCapability.SeparatelyTransmittedExtendedKeys, LiveViewServerCapability.WorkspacesWithGUID

      public abstract class LiveViewServerCapability
      extends Object

  An abstract class for objects that represent a capability of a LiveView server. Capabilities vary from one server release to another.

  Each kind of capability is represented by a nested subclass of this main LiveViewServerCapability abstract class. Instead of using a capability "enum", nested class instances let you ask capability-specific "things"; enums don't. For instance, alert rules support and saved workspace support are treated as capabilities which are available in the 1.4 server. In a later release, one or both capabilities may be changed or enhanced. For instance, say server-side saved-workspace functionality is enhanced post-1.4. At that time, the nested "SavedWorkspaces" class can be changed to include methods that get specific details about "sub-capabilities" of the SavedWorkspaces feature. That's preferable to treating every server enhancement as a whole new capability.

  When capabilities are first added, yes, all clients want is an "existence" boolean, so initially, empty subclasses are typically what you want.
  See Also:
    `LiveViewConnection.hasCapability(Class)`, `LiveViewConnection.getCapability(Class)`, `NoSuchCapabilityException`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LiveViewServerCapability.AggregateMarkGeneration`
    `static class` | `LiveViewServerCapability.AlertRules`
    `static class` | `LiveViewServerCapability.AlertWithGUID`
    `static class` | `LiveViewServerCapability.AlertWithQueryString`
    `static class` | `LiveViewServerCapability.AlertWithQuiescence`
    `static class` | `LiveViewServerCapability.BlockingDeleteQuery`
    `static class` | `LiveViewServerCapability.ClientVersionAware`
    `static class` | `LiveViewServerCapability.DataOnRemoveMessage`
    `static class` | `LiveViewServerCapability.ExternalLiveViewHosting`
    `static class` | `LiveViewServerCapability.FullSchemas`
    `static class` | `LiveViewServerCapability.PluggableTableProviders`
    `static class` | `LiveViewServerCapability.PublishSupportsByteOrder`
    `static class` | `LiveViewServerCapability.PublishV2`
    `static class` | `LiveViewServerCapability.ReferenceTablesDirectly`
    `static class` | `LiveViewServerCapability.SavedWorkspaces`
    `static class` | `LiveViewServerCapability.SeparatelyTransmittedExtendedKeys`
    `static class` | `LiveViewServerCapability.WorkspacesWithGUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiveViewServerCapability()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiveViewServerCapability

          public LiveViewServerCapability()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.